> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Field Options

> Saves field options for a specific program, and optionally, a specific type.
     *          This includes saving preferences in Redis and handling report saving.



## OpenAPI

````yaml post /admin/fields/options/{program_id}/{type}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/fields/options/{program_id}/{type}:
    post:
      tags:
        - Programs
      summary: Post Field Options
      description: >-
        Saves field options for a specific program, and optionally, a specific
        type.
             *          This includes saving preferences in Redis and handling report saving.
      operationId: bd2566fd3baa5d8677837e8cc20f53cb
      parameters:
        - name: program_id
          in: path
          description: Program ID for which to save field options
          required: true
          schema:
            type: string
        - name: type
          in: path
          description: Type of the field options to save
          required: true
          schema:
            type: string
      requestBody:
        description: Data for field options to save
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                program:
                  type: array
                  items:
                    type: string
                    example: >-
                      ['client_id', 'program_id', 'en_child_name', 'en_gender',
                      'report_name']
                en_child_name:
                  type: boolean
                  example: true
                en_child_gender:
                  type: boolean
                  example: true
                report_name:
                  type: string
                program_id:
                  type: integer
              type: object
      responses:
        '200':
          description: Field options saved successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Preferences Saved
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````